<?php
//////////////////////////> sendcard 2.00 <///////////////////////////
//                                                                  //
//  Copyright (C) 2000 Peter Bowyer, sendcard@f2s.com               //
//  sendcard homepage: http://www.sendcard.f2s.com/                 //
//                                                                  //
//  sendcard is free software; you may freely modify the code,      //
//  provided you leave this header intact.  Please report any bugs  //
//  you find.                                                       //
//                                                                  //
//  While sendcard is free, I do ask that you do two things:        //
//        1. You let me know where you are using sendcard (I like   //
//           to see it in action)                                   //
//        2. Unless your site deals with anything illegal, add your //
//           site to the list of sites using sendcard.              //
//                                                                  //
//  sendcard is distributed in the hope that it will be useful,     //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of  //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.            //
//                                                                  //
//////////////////////////////////////////////////////////////////////


class DB_Sendcard extends DB_Sql {
  function DB_Sendcard($query = "") {
    global $dbhost;
    global $dbpass;
    global $dbuser;
    global $dbdatabase;

    $this->Host = $dbhost;
    $this->Password = $dbpass;
    $this->User = $dbuser;
    $this->Database = $dbdatabase;

    $this->DB_Sql($query);
  }
}

// Function to validate the email addresses.
function validate_email ($email) {
$email1 = explode(",",$email);
$num = count($email);
for ($i=0; $i < $num; ++$i){
        if (eregi ("^([a-z0-9_]|\\-|\\.)+@(([a-z0-9_]|\\-)+\\.)+[a-z]{2,4}\$", $email1[$i])) {
        return 1;
        }else{
        return 0;
        break;  // Do I need break in here??????  Beats me!
        }
}
}
// Check that both email addresses validate
if ($preview) {
        if (validate_email($to_email)) {
        }else{
        unset ($preview);
        $form = 1;
        $invalid_to_email = 1;
        }
        if (!validate_email($from_email)){
        unset ($preview);
        $form = 1;
        $invalid_from_email = 1;
        }
}

function makeurl($text) {
$text = eregi_replace("&lt;([http|news|ftp]+://[^ >\n\t]+)&gt;", "<a href=\"\\1\" target=\"_blank\">\\1</a>", $text);
$text = eregi_replace("&lt;(mailto:)([^ >\n\t]+)&gt;", "<a href=\"\\1\\2\">\\2</a>", $text);
return $text;
}

function imgsize($image) {
$size = GetImageSize("images/".$image);
$imgsize = "width=\"".$size[0]."\" height=\"".$size[1]."\"";
return $imgsize;
}

function makesafe($str){
// Used instead of htmlspecialchars() as that seemed to mess up Hebrew
        $str = str_replace("\"", "&#34;", $str);
        $str = str_replace("'", "&#39;", $str);
        $str = str_replace("<", "&lt;", $str);
        $str = str_replace(">", "&gt;", $str);
        $str = str_replace("(", "&#40;", $str);
        $str = str_replace(")", "&#41;", $str);
        $str = str_replace("", "&#163;", $str);
        return $str;
}

function advancetime($month="", $day="", $year="") {
	$now = getdate();
	$id = mktime($now[hours],$now[minutes],$now[seconds],$month,$day,$year);
        return $id;
}

function advancesend() {
	$time = time() + 21600; // sends any cards which will be sent in the next 6 hours
	$sql = "SELECT * from $tbl_name where id < $time AND emailsent = 0";
	$db = New DB_Sendcard;
	$db2 = New DB_Sendcard;
	$db->query($sql);

	while($db->next_record()) {
		$to = $db->f("towho");
		$to_email = $db->f("to_email");
		$from = $db->f("fromwho");
		$from_email = $db->f("from_email");
		$id = $db->f("id");

		include("sendcard_setup.php");
		mail ("$to_email", "$youhavecard_subject", "$youhavecard", "From: $from_email");

        $query = "UPDATE $tbl_name SET emailsent = '1' WHERE id = ".$id;
        $db2->query($query);
	}
}

     /* 
     ** Function: DateSelector 
     ** Version v2.0 
     ** Last Updated: 2000-05-01 
     ** Author: Leon Atkinson <leon@leonatkinson.com> 
     ** Creates three form fields for get month/day/year 
     ** Input: Prefix to name of field, default date 
     ** Output: HTML to define three date fields 
	 ** This version highly modified by Peter Bowyer
     */ 
    function DateSelector($inName, $useDate=0){ 
        //create array so we can name months 
        $monthName = array(1=> "January",  "February",  "March", 
            "April",  "May",  "June",  "July",  "August", 
            "September",  "October",  "November",  "December"); 

        //if date invalid or not supplied, use current time 
        if($useDate == 0) 
        { 
            $useDate = Time(); 
        } 

        /* 
        ** make day selector 
        */ 
        $month  = "<select name=\"day\">\n"; 
        for($currentDay=1; $currentDay <= 31; $currentDay++) 
        { 
            $month  .= "<option value=\"$currentDay\""; 
            if(intval(date( "d", $useDate))==$currentDay) 
            { 
                $month  .= " selected"; 
            } 
            $month  .= ">$currentDay</option>\n"; 
        } 
        $month  .= "</select>&nbsp;\n\n\n"; 

		/* 
        ** make month selector 
        */ 
        $month .= "<select name=\"month\">\n"; 
        for($currentMonth = 1; $currentMonth <= 12; $currentMonth++) 
        { 
            $month  .= "<option value=\""; 
            $month  .= intval($currentMonth); 
            $month  .= "\""; 
            if(intval(date( "m", $useDate))==$currentMonth) 
            { 
                $month  .= " selected"; 
            } 
            $month  .= ">" . $monthName[$currentMonth] .  "</option>\n"; 
        } 
        $month  .= "</select>&nbsp;\n\n\n"; 

        /* 
        ** make year selector 
        */ 
        $month  .= "<select name=\"year\">\n"; 
        $startYear = date( "Y", $useDate); 
        for($currentYear = $startYear /* - 5 */; $currentYear <= $startYear+5;$currentYear++) 
        { 
            $month  .= "<option value=\"$currentYear\""; 
            if(date( "Y", $useDate)==$currentYear) 
            { 
                $month  .= " selected"; 
            } 
            $month  .= ">$currentYear</option>\n"; 
        } 
        $month  .= "</select>\n\n"; 
	return $month;
    } 

?>