<?php
//////////////////////////> sendcard 2.00 <///////////////////////////
//                                                                  //
//  Copyright (C) 2000 Peter Bowyer, sendcard@f2s.com               //
//  sendcard homepage: http://www.sendcard.f2s.com/                 //
//                                                                  //
//  sendcard is free software; you may freely modify the code,      //
//  provided you leave this header intact.  Please report any bugs  //
//  you find.                                                       //
//                                                                  //
//  While sendcard is free, I do ask that you do two things:        //
//        1. You let me know where you are using sendcard (I like   //
//           to see it in action)                                   //
//        2. Unless your site deals with anything illegal, add your //
//           site to the list of sites using sendcard.              //
//                                                                  //
//  sendcard is distributed in the hope that it will be useful,     //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of  //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.            //
//                                                                  //
//////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////
//                                                   //
// Variable details:                                 //
// $image : Image name                               //
// $caption : The caption which goes under the image //
// $to : Name of recipient                           //
// $to_email : Recipient's email address             //
// $from : Name of sender                            //
// $from_email : Sender's email address              //
// $message : The card's message                     //
//                                                   //
// Note that any " must be escaped like \"           //
// so $var = "...said "Oh!" and groaned"; should be  //
//  $var = "...said \"Oh!\" and groaned";            //
///////////////////////////////////////////////////////


// Choose your database file
// $dbfile = "db_ibsql.php"; // Interbase
// $dbfile = "db_msql.php"; // MSQL
// $dbfile = "db_mssql.php"; // Microsoft SQL
$dbfile = "db_mysql.php"; // MySQL
// $dbfile = "db_oci8.php"; // Oracle/OCI8
// $dbfile = "db_odbc.php"; // ODBC
// $dbfile = "db_oracle.php"; // Oracle
// $dbfile = "db_pgsql.php"; // PostgreSQL
// $dbfile = "db_sybase.php"; // Sybase


// Enter your database details
 $dbhost     = "localhost";
 $dbdatabase = "sendcard";
 $dbuser     = "root";
 $dbpass = "";

// Name of the table the postcards are stored in
$tbl_name = "sendcard";

// The subject of the message sent to the receipient
$youhavecard_subject = "$from has sent you a postcard!";

// This is the message sent to the recipient of the card.
//It can span multiple lines.  You must leave sendcard.php?view=1&id=$id in the url!
$youhavecard = "Hello $to,

$from has send you a postcard!  
You can find it at http://www.sendcard.f2s.com/sendcard2/sendcard.php?view=1&id=$id 

Service provided by sendcard";

// The subject of the message sent to the sender
$cardreceived_subject = "Thank you for sending a postcard!";

// This is the message sent to the sender to notify him that the card
// has been received.  It can span multiple lines.
$cardreceived = "Hello $from,

Thank you for sending a postcard. $to picked it up on $date.

Please keep visiting our site!";

// How long you want the postcard kept for in seconds e.g. 1209600 = 14 days!
// You can work it out using the following formula:
// {num of days} x 24 x 3600 = num of seconds.  
// So 21 days is: 21 x 24 x 3600 = 1814400

$kept = 1209600;  // This is 14 days!
// $kept = 1814400;  // This is 21 days!
// $kept = 3600;  // This is one hour! (Use for testing only)

// Message to appear at the bottom of the received card
$view_message = "To send a postcard, please visit 
<a href=\"http://www.sendcard.f2s.com/sendcard2/\">sendcard</a>";



// Message shown when the card has been sent
$thankyou = "Thankyou for sending a postcard to $to.  To send another please <a href=\"index.php\">click here</a>.";

// If you want to use the feature that allows a visitor to send a card on an advance date, set this variable to 1.  Otherwise, set it to 0.  Remember to remove the "Send the card when?:" message from form.tpl :-)
$use_adv_date = "1";
$use_fontface = "1";
$use_fontcolor = "1";
$use_bgcolor = "1";
$use_music = "1";

///////////////////////////////////////////////////////////////////
//                                                               //
//       You shouldn't need to edit the variables below!         //
//          Only do so if you know what you're doing.            //
//                                                               //
///////////////////////////////////////////////////////////////////

// The code for the send button
$send_button = "		<form method=\"post\" action=\"sendcard.php\">
		<input type=\"hidden\" name=\"image\" value=\"$image\">
		<input type=\"hidden\" name=\"caption\" value=\"$caption\">
		<input type=\"hidden\" name=\"bgcolor\" value=\"$bgcolor\">
		<input type=\"hidden\" name=\"to\" value=\"$to\">
		<input type=\"hidden\" name=\"to_email\" value=\"$to_email\">
		<input type=\"hidden\" name=\"from\" value=\"$from\">
		<input type=\"hidden\" name=\"from_email\" value=\"$from_email\">
		<input type=\"hidden\" name=\"fontface\" value=\"$fontface\">
		<input type=\"hidden\" name=\"fontcolor\" value=\"$fontcolor\">
		<input type=\"hidden\" name=\"message\" value=\"$message\">
		<input type=\"hidden\" name=\"music\" value=\"$music\">
		<input type=\"hidden\" name=\"notify\" value=\"$notify\">
		<input type=\"hidden\" name=\"id\" value=\"$id\">
		<input type=\"submit\" name=\"send\" value=\"Send Card\">
		</form>";

$email_error = '<tr><td width="100%" colspan="2"><font color="#FF0033" size="+1"><b>Please enter a valid email address</b></font></td></tr>';

?>